---
title: "Searches Supplier Returns by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-supplierreturns"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Searches Supplier Returns by parameters

`GET` `/supplierreturns`

Operation ID: `get-supplierreturns`

Searches Supplier Returns by parameters

## Query parameters

- `ids` (string, optional) - List of supplier returns identifiers Example: 2,3,4
- `supplier_ids` (string, optional) - List of supplier identifiers Example: 2,3,4
- `outlet_ids` (string, optional) - List of outlet identifiers Example: 2,3,4
- `supplier_return_status_ids` (string, optional) - List of Supplier Return Status identifiers Example: 2,3,4
- `created_since` (string, date-time, optional) - Format - date-time (as date-time in RFC3339). Created since
- `modified_since` (string, date-time, optional) - Format - date-time (as date-time in RFC3339). Modified since
- `include_credit_notes` (boolean, optional) - Include Credit Notes flag
- `order_by` (string, optional) - Order by. Available field name values: id, supplier, outlet, supplier_return_status, return_authorisation, total_return_quantity, total_claim_amount_ex, total_claim_amount_tax, total_claim_amount_inc, total_credit_received_ex, total_credit_received_inc, created_on, started_on, modified_on, finalised_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname. Available direction values: asc, desc. Example: id asc, supplier desc
- `filter_by` (string, optional) - Filter by. Available field name values: id, supplier, outlet, supplier_return_status, return_authorisation, created_on, started_on, finalised_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname, total_return_quantity, total_claim_amount_ex, total_claim_amount_tax, total_claim_amount_inc, total_credit_received_ex, total_credit_received_inc, credit_note_number (for value, ​matches id or supplier_reference of any of credit_notes linked to Supplier Return. Supported operators are eq, neq, contains, doesnotcontain, in, notin) In string values: '|' and ',' characters have to be escaped with slash, i.e. '\\,' '\\|' For operators that support multiple values (in, notin): multiple values are delimited using '|' character Available operators: eq - Equal neq - Not equals lt - Less lte - Less or equal gt - Greater gte - Greater or equal in - In notin - Not In contains - Contains isnull - Is Null isnullorempty - Is Null Or Empty isnotnull - Is Not Null startswith - Starts with endswith - Ends with doesnotcontain - Does not contain For non-nullable fields operators isnull and isnotnull are unavailable For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable For strings operators: lt, lte, gt, gte are unavailable Example: created_on:gte:2021-06-03T05:48:09+10:00,supplier:in:supplier1|supplier2
- `page_number` (integer, int32, optional) - Format - int32.
- `page_size` (integer, int32, optional) - Format - int32.

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns Paging Response with Supplier Returns data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /supplierreturns:
    get:
      tags:
        - supplierreturns
      summary: Searches Supplier Returns by parameters
      description: Searches Supplier Returns by parameters
      operationId: get-supplierreturns
      parameters:
        - name: ids
          in: query
          description: "List of supplier returns identifiers\r

            \ Example: 2,3,4"
          schema:
            type: string
            description: "List of supplier returns identifiers\r

              \ Example: 2,3,4"
            nullable: true
        - name: supplier_ids
          in: query
          description: "List of supplier identifiers\r

            \ Example: 2,3,4"
          schema:
            type: string
            description: "List of supplier identifiers\r

              \ Example: 2,3,4"
            nullable: true
        - name: outlet_ids
          in: query
          description: "List of outlet identifiers\r

            \ Example: 2,3,4"
          schema:
            type: string
            description: "List of outlet identifiers\r

              \ Example: 2,3,4"
            nullable: true
        - name: supplier_return_status_ids
          in: query
          description: "List of Supplier Return Status identifiers\r

            \ Example: 2,3,4"
          schema:
            type: string
            description: "List of Supplier Return Status identifiers\r

              \ Example: 2,3,4"
            nullable: true
        - name: created_since
          in: query
          description: Format - date-time (as date-time in RFC3339). Created since
          schema:
            type: string
            description: Created since
            format: date-time
            nullable: true
        - name: modified_since
          in: query
          description: Format - date-time (as date-time in RFC3339). Modified since
          schema:
            type: string
            description: Modified since
            format: date-time
            nullable: true
        - name: include_credit_notes
          in: query
          description: Include Credit Notes flag
          schema:
            type: boolean
            description: Include Credit Notes flag
        - name: order_by
          in: query
          description: "Order by. \r

            \r

            Available field name values: id, supplier, outlet,
            supplier_return_status, return_authorisation, total_return_quantity,
            total_claim_amount_ex, total_claim_amount_tax,
            total_claim_amount_inc, total_credit_received_ex,
            total_credit_received_inc, created_on, started_on, modified_on,
            finalised_on, created_by_id, created_by_first_name,
            created_by_surname, modified_by_id, modified_by_first_name,
            modified_by_surname.\r

            \r

            Available direction values: asc, desc. \r

            \r

            Example: id asc, supplier desc"
          schema:
            type: string
            description: "Order by. \r

              \r

              Available field name values: id, supplier, outlet,
              supplier_return_status, return_authorisation,
              total_return_quantity, total_claim_amount_ex,
              total_claim_amount_tax, total_claim_amount_inc,
              total_credit_received_ex, total_credit_received_inc, created_on,
              started_on, modified_on, finalised_on, created_by_id,
              created_by_first_name, created_by_surname, modified_by_id,
              modified_by_first_name, modified_by_surname.\r

              \r

              Available direction values: asc, desc. \r

              \r

              Example: id asc, supplier desc"
            nullable: true
        - name: filter_by
          in: query
          description: "Filter by. \r

            \r

            Available field name values: id, supplier, outlet,
            supplier_return_status, return_authorisation, created_on,
            started_on, finalised_on, modified_on, created_by_id,
            created_by_first_name, created_by_surname, modified_by_id,
            modified_by_first_name, modified_by_surname, total_return_quantity,
            total_claim_amount_ex, total_claim_amount_tax,
            total_claim_amount_inc, total_credit_received_ex,
            total_credit_received_inc, credit_note_number (for value, ​matches
            id or supplier_reference of any of credit_notes linked to Supplier
            Return. Supported operators are eq, neq, contains, doesnotcontain,
            in, notin)\r

            \            \r

            In string values: '|' and ',' characters have to be escaped with
            slash, i.e. '\\\\,' '\\\\|'\r

            \            \r

            For operators that support multiple values (in, notin): multiple
            values are delimited using '|' character\r

            \r

            Available operators:\r

            \r

            eq -  Equal\r

            \r

            neq - Not equals\r

            \r

            lt  - Less\r

            \r

            lte - Less or equal\r

            \r

            gt -  Greater\r

            \r

            gte - Greater or equal\r

            \r

            in  - In\r

            \r

            notin - Not In\r

            \            \r

            contains - Contains\r

            \r

            isnull - Is Null\r

            \            \r

            isnullorempty - Is Null Or Empty\r

            \r

            isnotnull - Is Not Null\r

            \r

            startswith - Starts with\r

            \r

            endswith - Ends with\r

            \r

            doesnotcontain - Does not contain\r

            \            \r

            For non-nullable fields operators isnull and isnotnull are
            unavailable\r

            \r

            For dates operators: contains, startswith, endswith, doesnotcontain,
            isnullorempty are unavailable\r

            \            \r

            For strings operators: lt, lte, gt, gte are unavailable\r

            \            \r

            Example:
            created_on:gte:2021-06-03T05:48:09+10:00,supplier:in:supplier1|supp\
            lier2"
          schema:
            type: string
            description: "Filter by. \r

              \r

              Available field name values: id, supplier, outlet,
              supplier_return_status, return_authorisation, created_on,
              started_on, finalised_on, modified_on, created_by_id,
              created_by_first_name, created_by_surname, modified_by_id,
              modified_by_first_name, modified_by_surname,
              total_return_quantity, total_claim_amount_ex,
              total_claim_amount_tax, total_claim_amount_inc,
              total_credit_received_ex, total_credit_received_inc,
              credit_note_number (for value, ​matches id or supplier_reference
              of any of credit_notes linked to Supplier Return. Supported
              operators are eq, neq, contains, doesnotcontain, in, notin)\r

              \            \r

              In string values: '|' and ',' characters have to be escaped with
              slash, i.e. '\\\\,' '\\\\|'\r

              \            \r

              For operators that support multiple values (in, notin): multiple
              values are delimited using '|' character\r

              \r

              Available operators:\r

              \r

              eq -  Equal\r

              \r

              neq - Not equals\r

              \r

              lt  - Less\r

              \r

              lte - Less or equal\r

              \r

              gt -  Greater\r

              \r

              gte - Greater or equal\r

              \r

              in  - In\r

              \r

              notin - Not In\r

              \            \r

              contains - Contains\r

              \r

              isnull - Is Null\r

              \            \r

              isnullorempty - Is Null Or Empty\r

              \r

              isnotnull - Is Not Null\r

              \r

              startswith - Starts with\r

              \r

              endswith - Ends with\r

              \r

              doesnotcontain - Does not contain\r

              \            \r

              For non-nullable fields operators isnull and isnotnull are
              unavailable\r

              \r

              For dates operators: contains, startswith, endswith,
              doesnotcontain, isnullorempty are unavailable\r

              \            \r

              For strings operators: lt, lte, gt, gte are unavailable\r

              \            \r

              Example:
              created_on:gte:2021-06-03T05:48:09+10:00,supplier:in:supplier1|su\
              pplier2"
            nullable: true
        - name: page_number
          in: query
          description: Format - int32.
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          description: Format - int32.
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns Paging Response with Supplier Returns data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SupplierReturns.PagingResponse"
              example:
                data:
                  - id: 0
                    include_tax: true
                    supplier:
                      id: 0
                      supplier_code: string
                      name: string
                      modified_on: string
                    outlet:
                      id: 0
                      name: string
                      modified_on: string
                    supplier_return_status:
                      id: 0
                      name: string
                    supplier_address:
                      address_line1: string
                      suburb: string
                      state: string
                      postcode: string
                      country:
                        id: 0
                        name: string
                    total_return_quantity: 0
                    total_claim_amount_ex: 0
                    total_claim_amount_tax: 0
                    total_claim_amount_inc: 0
                    total_credit_received_ex: 0
                    total_credit_received_inc: 0
                    notes: string
                    return_authorisation: string
                    started_on: string
                    created_on: string
                    modified_on: string
                    finalised_on: string
                    credit_notes:
                      - id: 0
                        supplier_return_id: 0
                        supplier:
                          id: 0
                          supplier_code: string
                          name: string
                          modified_on: string
                        outlet:
                          id: 0
                          name: string
                          modified_on: string
                        supplier_reference: string
                        include_tax: false
                        total_credit_quantity: 0
                        total_credit_amount_ex: 0
                        total_credit_amount_tax: 0
                        total_credit_amount_inc: 0
                        total_applied_credit_quantity: 0
                        total_applied_credit_amount_ex: 0
                        total_applied_credit_amount_inc: 0
                        total_applied_credit_tax: 0
                        created_on: string
                        modified_on: string
                        created_by:
                          id: 0
                          user_code: string
                          first_name: string
                          surname: string
                        modified_by:
                          id: 0
                          user_code: string
                          first_name: string
                          surname: string
                    created_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                    modified_by:
                      id: 0
                      user_code: string
                      first_name: string
                      surname: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    SupplierReturns.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/SupplierReturns"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    SupplierReturns:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Return identifier
          format: int32
          nullable: true
        include_tax:
          type: boolean
          description: Include Tax
          default: true
          nullable: true
        supplier:
          $ref: "#/components/schemas/SupplierReturnSupplier"
        outlet:
          $ref: "#/components/schemas/SupplierReturnOutlet"
        supplier_return_status:
          $ref: "#/components/schemas/SupplierReturnStatus"
        supplier_address:
          $ref: "#/components/schemas/SupplierReturnAddress"
        total_return_quantity:
          type: integer
          description: Total return quantity
          format: int32
        total_claim_amount_ex:
          type: number
          description: Total claim amount ex
          format: double
        total_claim_amount_tax:
          type: number
          description: Total claim amount tax
          format: double
        total_claim_amount_inc:
          type: number
          description: Total claim amount inc
          format: double
        total_credit_received_ex:
          type: number
          description: Total credit received ex
          format: double
        total_credit_received_inc:
          type: number
          description: Total credit received inc
          format: double
        notes:
          maxLength: 8000
          minLength: 0
          type: string
          description: Notes
          nullable: true
        return_authorisation:
          maxLength: 100
          minLength: 0
          type: string
          description: Return Authorisation
          nullable: true
        started_on:
          type: string
          description: Started on
          format: date-time
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        finalised_on:
          type: string
          description: Finalised on
          format: date-time
          nullable: true
        credit_notes:
          type: array
          items:
            $ref: "#/components/schemas/CreditNote"
          description: Credit Notes linked to Supplier Return
          nullable: true
        created_by:
          $ref: "#/components/schemas/SupplierReturnUser"
        modified_by:
          $ref: "#/components/schemas/SupplierReturnUser"
      additionalProperties: false
      description: Supplier Returns VM
    SupplierReturnSupplier:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Id
          format: int32
          nullable: true
        supplier_code:
          type: string
          description: Supplier Code
          nullable: true
        name:
          type: string
          description: Supplier Name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Supplier model
    SupplierReturnOutlet:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
    SupplierReturnStatus:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Return Status Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Supplier Return Status name
          nullable: true
      additionalProperties: false
      description: Supplier Return Status Model
    SupplierReturnAddress:
      title: ""
      type: object
      properties:
        address_line1:
          maxLength: 255
          minLength: 0
          type: string
          description: Address line 1
          nullable: true
        suburb:
          maxLength: 50
          minLength: 0
          type: string
          description: Suburb
          nullable: true
        state:
          maxLength: 50
          minLength: 0
          type: string
          description: State
          nullable: true
        postcode:
          maxLength: 10
          minLength: 0
          type: string
          description: Post code
          nullable: true
        country:
          $ref: "#/components/schemas/SupplierAddressCountry"
      additionalProperties: false
      description: Supplier address model
    CreditNote:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Credit Note id
          format: int32
          nullable: true
        supplier_return_id:
          type: integer
          description: Supplier Return id
          format: int32
          nullable: true
        supplier:
          $ref: "#/components/schemas/CreditNoteSupplier"
        outlet:
          $ref: "#/components/schemas/CreditNoteOutlet"
        supplier_reference:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier reference
          nullable: true
        include_tax:
          type: boolean
          description: Include tax
          default: false
          nullable: true
        total_credit_quantity:
          type: integer
          description: Total credit quantity
          format: int32
        total_credit_amount_ex:
          type: number
          description: Total Credit Amount Ex
          format: double
        total_credit_amount_tax:
          type: number
          description: Total Credit Amount Tax
          format: double
        total_credit_amount_inc:
          type: number
          description: Total Credit Amount Inc
          format: double
        total_applied_credit_quantity:
          type: integer
          description: Total Applied Credit Quantity
          format: int32
        total_applied_credit_amount_ex:
          type: number
          description: Total Applied Credit Amount Ex
          format: double
        total_applied_credit_amount_inc:
          type: number
          description: Total Applied Credit Amount Inc
          format: double
        total_applied_credit_tax:
          type: number
          description: Total Applied Credit Tax
          format: double
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        created_by:
          $ref: "#/components/schemas/CreditNoteUser"
        modified_by:
          $ref: "#/components/schemas/CreditNoteUser"
      additionalProperties: false
      description: Credit Note model
    SupplierReturnUser:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id of User
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
      description: User Model
    SupplierAddressCountry:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier country id
          format: int32
          nullable: true
        name:
          type: string
          description: Supplier country name
          nullable: true
      additionalProperties: false
    CreditNoteSupplier:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Id
          format: int32
          nullable: true
        supplier_code:
          type: string
          description: Supplier Code
          nullable: true
        name:
          type: string
          description: Supplier Name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Supplier model for Credit Notes
    CreditNoteOutlet:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Outlet model for Credit Notes
    CreditNoteUser:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id of User
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
      description: Credit Note User
```
